Skip to main content
PATCH
/
api
/
v1
/
school
/
class-patterns
/
{id}
Partially update class pattern
curl --request PATCH \
  --url https://api.example.com/api/v1/school/class-patterns/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "patterns": {
    "o_level": [
      {
        "id": 1,
        "name": "Science"
      },
      {
        "id": 2,
        "name": "Arts"
      },
      {
        "id": 3,
        "name": "Commerce"
      }
    ],
    "a_level": [
      {
        "id": 1,
        "name": "PCM"
      },
      {
        "id": 2,
        "name": "BCM"
      }
    ]
  },
  "created_at": "2025-01-15T10:30:00Z",
  "updated_at": "2025-01-20T14:45:00Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this class patterns.

Body

{key}
any

Response

{key}
any